In this paper, we study the properties of path metrics of an entanglement path for a given entanglement swapping order of the path. We show how to efficiently compute the path metrics of an entanglement path for any given swapping order. We show that different entanglement swapping orders for the same path can lead to different expected throughputs. A key finding is that the binary operator corresponding to entanglement swapping along a path is not associative. We further show that the problem of computing an s-t path with maximum expected throughput under any entanglement swapping order does not have the subpath optimality property, which is a key property most path finding algorithms such as Dijkstra’s algorithm rely on. We use extensive simulations to validate our theoretical findings.
In this paper, we study the properties of path metrics of an entanglement path for a given entanglement swapping order of the path. We show how to efficiently compute the path metrics of an entanglement path for any given swapping order. We show that different entanglement swapping orders for the same path can lead to different expected throughputs. A key finding is that the binary operator corresponding to entanglement swapping along a path is not associative. We further show that the problem of computing an s-t path with maximum expected throughput under any entanglement swapping order does not have the subpath optimality property, which is a key property most path finding algorithms such as Dijkstra’s algorithm rely on. We use extensive simulations to validate our theoretical findings.
This paper considers the problem of finding an optimal order for entanglement swapping in a heterogeneous path of quantum repeaters so as to maximize the path throughput defined as the delivery rate of end-to-end entanglements. The primary difficulty in addressing this problem lies in the vast array of possible swapping orders for large paths and the complexity of the expected throughput, which depends on the attributes of each node and edge along the path, as well as the order of swapping. To cope with these issues, we first propose simple approximations in estimating the swapping outcome between two entanglement distributions that can run in constant time, thereby providing an efficient approach for evaluating and comparing different swapping orders, allowing us to solve the problem exactly for small paths. Second, as the number of possible orders grows exponentially with the number of repeaters in the path, we develop an efficient heuristic based on the greedy selection of nodes to sequentially perform swaps according to their swapping scores, defined as the expected number of entanglements resulting from their swaps. The scores are local but dynamic in the sense that they depend not just on the entanglement distributions available on the path but also on prior swapping decisions. Finally, we illustrate the efficiency and effectiveness of our proposed model and approach through extensive experimentation conducted using a general quantum network simulator.
The fundamental technology for the construction of large-scale quantum networks lies in the efficient distribution of remote entanglement among quantum nodes. Entanglement routing tackles the challenge of path selection between two distant end nodes and realizes entanglement distribution through multi-hop entanglement swapping. Given the inherent probability of swapping, entanglement distribution flow always presents inevitable losses. The existing routing works adopt a parallel swapping mode, which only considers the final end-to-end distribution loss effect. This lag of failure detection and complete independence between swapping reduce distribution efficiency. We observe that the sequential swapping mode can improve this defect, but it is not thorough. Thus, in this paper, we explore the entanglement flow loss effect in the sequential entanglement swapping (Loss-SES) process in order to perceive failures earlier and save network resources. Subsequently, we introduce a novel metric to quantify path performance, namely the expected entanglement throughput (EET). Building upon EET, we propose the entanglement routing algorithm MaxEET adapted to the Loss-SES process to maximize EET. For efficient deployment, in the single-request scenario, we determine the optimal routing initiation direction by introducing a bidirectional routing mechanism. In the multi-request scenario, we design a greedy and contention-free iterative routing algorithm to exhaust resources. Based on extensive simulations, the results show the superiority of our proposed Loss-SES mode compared to other modes in terms of throughput, fairness, and utilization.
While entanglement swapping enables long-distance quantum connections, it may frequently fail and introduce significant latency. Analyzing the latency of end-to-end (E2E) entanglement distribution is a critical yet not well understood problem. In this paper, we address the latency minimization problem in quantum networks at both the path and network levels. We model the stochastic behavior of entanglement swappings and provide a more accurate statistical representation of E2E latency. By proving the optimal substructure of E2E latency, we propose a Dynamic Programming (DP) algorithm to determine the optimal swapping order for path-level latency minimization. Then leveraging such path-level solution, we further formulate and solve a path-selection based optimization for network-wide latency routing problem as well. To further reduce latency, we also explore the benefits of redundant entanglement resources and propose a greedy algorithm to allocate these resources effectively. Through extensive simulations, we demonstrate the accuracy of our statistical modeling and analysis, the benefits of additional resources in reducing latency, and the superior performance of our proposed solutions over existing approaches at both the path and network levels.
Long-distance quantum communication in quantum networks faces significant challenges due to the constraints imposed by the no-cloning theorem. Most existing quantum communication protocols rely on the a priori distribution of entanglement pairs (EPs), a process known to incur considerable latency due to its stochastic nature. In this work, we consider the problem of minimizing the latency of establishing an EP across a pair of nodes in a quantum network. While prior research has primarily focused on minimizing the expected generation latency by selecting static entanglement routes and/or swapping trees in advance, our approach considers a real-time adaptive strategy-wherein the order of entanglement-swapping operations (hence, the swapping tree used) is progressively determined at runtime based on the runtime success/failure of the stochastic events. In this context, we present a greedy algorithm that iteratively determines the best route and/or entanglement-swapping operation to perform at each stage based on the current network. We evaluate our schemes on randomly generated networks and observe a reduction in latency of up to 40% from the optimal offline approach.
Topology is one of the most critical properties of networks. Quantum networks, as a new type of network, have fundamentally different principles for establishing connections compared to classical networks, leading to distinct challenges in topology design. Finding the optimal topology for quantum networks to meet traffic demands is a crucial yet not fully understood problem. In this paper, we explore the topology design problem for quantum networks, considering both resource allocation and entanglement distribution. We propose and investigate both flow-based and path-based formulations, along with their associated solutions, aimed at minimizing the topology cost. For the path-based formulation, we also provide the first theoretical analysis of the cost associated with swapping strategies over a quantum path. Extensive simulations demonstrate that our enhanced path-based formulation is both efficient and effective.
To fully unleash the potentials of quantum computing, several new challenges and open problems need to be addressed. From a routing perspective, the optimal routing problem, i.e., the problem of jointly designing a routing protocol and a route metric assuring the discovery of the route providing the highest quantum communication opportunities between an arbitrary couple of quantum devices, is crucial. In this paper, the optimal routing problem is addressed for generic quantum network architectures composed by repeaters operating through single atoms in optical cavities. Specifically, we first model the entanglement generation through a stochastic framework that allows us to jointly account for the key physical-mechanisms affecting the end-to-end entanglement rate, such as decoherence time, atom-photon and photon-photon entanglement generation, entanglement swapping, and imperfect Bell-state measurement. Then, we derive the closed-form expression of the end-to-end entanglement rate for an arbitrary path and we design an efficient algorithm for entanglement rate computation. Finally, we design a routing protocol and we prove its optimality when used in conjunction with the entanglement rate as routing metric.